## org.apache.aries.subsystem.obr.internal
Class OsgiRequirementAdapter

    java.lang.Object
      org.apache.aries.subsystem.obr.internal.OsgiRequirementAdapter

All Implemented Interfaces:
  org.apache.felix.bundlerepository.Requirement

    public class OsgiRequirementAdapter

extends Object
implements org.apache.felix.bundlerepository.Requirement

Constructor Summary
`OsgiRequirementAdapter(org.osgi.resource.Requirement requirement)`

Method Summary
`String` `getComment()`
`String` `getFilter()`
`String` `getName()`
`boolean` `isExtend()`
`boolean` `isMultiple()`
`boolean` `isOptional()`
`boolean` `isSatisfied(org.apache.felix.bundlerepository.Capability capability)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiRequirementAdapter

    public OsgiRequirementAdapter(org.osgi.resource.Requirement requirement)

Method Detail

### getComment

    public String getComment()

  Specified by:
    `getComment` in interface `org.apache.felix.bundlerepository.Requirement`

### getFilter

    public String getFilter()

  Specified by:
    `getFilter` in interface `org.apache.felix.bundlerepository.Requirement`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.apache.felix.bundlerepository.Requirement`

### isExtend

    public boolean isExtend()

  Specified by:
    `isExtend` in interface `org.apache.felix.bundlerepository.Requirement`

### isMultiple

    public boolean isMultiple()

  Specified by:
    `isMultiple` in interface `org.apache.felix.bundlerepository.Requirement`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `org.apache.felix.bundlerepository.Requirement`

### isSatisfied

    public boolean isSatisfied(org.apache.felix.bundlerepository.Capability capability)

  Specified by:
    `isSatisfied` in interface `org.apache.felix.bundlerepository.Requirement`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.